Name:      redcastle-manager
Version:   3.0.0
Release:   2
Summary:   RedCastle Basic Manager

Group:     System Environment/Base
License:   RedCastle License
Vendor:    RedGate Co., Ltd.
Source0:   RedCastle3.tar.gz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%define __prefix_app_rc      $RPM_BUILD_ROOT/usr/share/redcastle
%define __prefix_app_desktop $RPM_BUILD_ROOT/usr/share/applications
%define __install_app_rc      /usr/share/redcastle
%define __install_app_desktop /usr/share/applications


%description
* RedCastle Basic Manager
This package provides GUI tool for handling RedCastle.

* RedCastle License to Asianux 3.0
RedCastle is Secure OS product developed by REDGATE Co., Ltd.
RedCastle product is provided in two modules:
Basic module is free of charge for use and
Certain license fee will be charged for the Advanced module.
For more informations, see the LICENSE file in /usr/share/redcastle/doc.


%prep


%setup -c
echo


%build


%install
cd RedCastle3
mkdir -p %{__prefix_app_rc}/manager
cp data-ax30/manager/icon_redcastle.png %{__prefix_app_rc}/manager
cp data-ax30/manager/RcManager.jar      %{__prefix_app_rc}/manager
cp data-ax30/manager/RcManager.sh       %{__prefix_app_rc}/manager
cp data-ax30/manager/RedCastle.desktop  %{__prefix_app_rc}/manager
chmod 555 %{__prefix_app_rc}/manager/RcManager.sh

mkdir -p %{__prefix_app_desktop}
cp data-ax30/manager/RedCastle.desktop %{__prefix_app_desktop}


%clean
rm -rf $RPM_BUILD_ROOT


%files
/usr/share/applications/RedCastle.desktop

/usr/share/redcastle/manager
/usr/share/redcastle/manager/icon_redcastle.png
/usr/share/redcastle/manager/RcManager.jar
/usr/share/redcastle/manager/RcManager.sh
/usr/share/redcastle/manager/RedCastle.desktop


%changelog
* Wed Aug 15 2007 Kity Park <kity@redgate.co.kr>
- Replace check box by combo box in 'Authentication tab'.
- Correct and re-form messages.

* Wed Aug  1 2007 Kity Park <kity@redgate.co.kr>
- Separate basic manager parts from redcastle-app rpm.
- Move desktop icon to control panel.
- Fix the but 3288.
  Display agent daemon status and RedCastle operation status.
- Change manager execution method to use shell script.
- Display member information of ACL policy.
